FFe for python-coherence

Bug #338408 reported by Charlie_Smotherman on 2009-03-05
8
Affects Status Importance Assigned to Milestone
coherence (Debian)
Fix Released
Undecided
Unassigned
coherence (Ubuntu)
Wishlist
Unassigned
Declined for Hardy by Steve Langasek
Declined for Intrepid by Steve Langasek

Bug Description

Changing this bug to an FFe sync request for python-coherence from debian unstable

Changing this bug to an FFe request for python-coherence.

While searching for a solution to a problem I was having with Rhythmbox (it's inability to play m3u playlist from a remote source such as Ampache) I found python-coherence. Ampache connects to python-coherence via ampache's XML-API so it is offered up on the local network and a shared resource. Rythmbox connnect via DAAP also as a shared resource. This allows for seamless playback of m3u playlists from ampache. It also allows you to browse, by artist, album, genre, or by playlist on your remote ampache server from within Rythmbox (no web browser needed). Python-coherence also allows you to transfer music from your remote ampache server straight to your Ipod. Python-coherence has many, many, more uses than what I have discussed here.

I have tested python-coherence + rythmbox in a jaunty virtual box with my live ampache server.

This update will also close bug #278790, and I believe that this update will also help with the python 2.6 transition.
________________________________________________________________________________

Please update Coherence. version 0.6.2 has been released by upstream. According to upstream documentation this release has numerous bug fixes.

https://coherence.beebits.net/changeset/1191

Changed in coherence:
status: New → In Progress
Charlie_Smotherman (cjsmo) wrote :

I have created a bzr branch that I believe will update this package. The above link will take you to the branch or you can grab it with:

bzr branch lp:~cjsmo/+junk/coherence

I have built Coherence-0.6.2 in my PPA and the build logs can be found at:

https://edge.launchpad.net/%7Ecjsmo/+archive/ppa/+build/895091/+files/buildlog_ubuntu-jaunty-i386.coherence_0.6.2-0ubuntu1~cjsmoppa_FULLYBUILT.txt.gz

This update will fix the lintian error "embedded-javascript-library" (MochiKit).

Linitian is also complaining of "no-man-page", which I am currently working on. Hopefully I can get it created fairly quickly and get it into jaunty. I am also going to check and see if this update closes Bug #278790.

Charlie_Smotherman (cjsmo) wrote :

Man page created and has been added to the above branch (thanks dev). The package built fine in my PPA and the build logs can be found at

https://edge.launchpad.net/~cjsmo/+archive/ppa/+build/899312

I am attaching the debdiff, orig.tar.gz, dsc, and diff.gz.

Contacting upstream (debian maintainer) to coordinate this update.

Changed in coherence:
status: Unknown → New
Charlie_Smotherman (cjsmo) wrote :

No response from upstream (debian maintainer) yet. Preparing for FFe

description: updated
Changed in coherence:
status: In Progress → New
Charlie_Smotherman (cjsmo) wrote :

Arnaud, the debian maintainer has responded, and is in the process of updating the debian package. Could a member of the MOTU-release team please unsubscribe MOTU-release. This may turn into a sync request. Marking bug as incomplete for now.

Changed in coherence:
status: New → Incomplete

2009/3/14 charliej

> Arnaud,
>

Hey Charlie,

>
> Thank you for looking at this, IMHO this update will benefit Ampache and
> Rythmbox users. If there is any other way I can help out feel free to
> contact me.
>

sure, become a Debian Maintainer (or a DD) and adopt coherence, please ;-)

more seriously, have you tested your patch?
I've noticed several things there:
- "DEB_INSTALL_ARGS += -XMochiKit" should be "DEB_DH_INSTALL_ARGS +=
-XMochiKit"
but will not be helpfull since the setup.py install the files directly to
python-coherence.
for the above to work, we should first go through debian/tmp using
DEB_DESTDIR
- the added Build-dep doesn't add the coma to the previous entry,
- there was a typo in the added manpage (AVAILAB*L*E STORES)
- there is still a manpage missing for applet-coherence

I'm still working on this, but in very low prio background mode... but would
be interested in some feedback from you since I don't use coherence nor the
associated software...

cheers,
Arnaud
--
Linux / Unix Expert R&D - Eaton - http://www.eaton.com/mgeops
Network UPS Tools (NUT) Project Leader - http://www.networkupstools.org/
Debian Developer -
http://people.debian.org/~aquette/<http://people.debian.org/%7Eaquette/>
Free Software Developer - http://arnaud.quette.free.fr/

Charlie_Smotherman (cjsmo) wrote :

On Mon, 2009-03-16 at 15:50 +0100, Arnaud Quette wrote:
>
> 2009/3/14 charliej
> Arnaud,
>
> Hey Charlie,
>
>
>
> Thank you for looking at this, IMHO this update will benefit
> Ampache and
> Rythmbox users. If there is any other way I can help out feel
> free to
> contact me.
>
> sure, become a Debian Maintainer (or a DD) and adopt coherence,
> please ;-)

Working on it! Actually I am thinking of going through the NM process.
Having a problem of finding a Debian Member that lives close to me to
get my key signed, but anyway that's a different can of worms.

I would be willing to take over python-coherence, as long as I could
call on you from time to time with questions/sponsorship of package
updates. I am the current maintainer of Ampache and Ampache-themes.
>
>
> more seriously, have you tested your patch?

yes, but I now understand why the install and test worked but the actual
patch did not work.

> I've noticed several things there:
> - "DEB_INSTALL_ARGS += -XMochiKit" should be "DEB_DH_INSTALL_ARGS +=
> -XMochiKit"

I am still unraveling the mysteries of CDBS and python packages. But
after working on this package it makes more sense, but still have a lot
to learn.

> but will not be helpfull since the setup.py install the files directly
> to python-coherence.
> for the above to work, we should first go through debian/tmp using
> DEB_DESTDIR
> - the added Build-dep doesn't add the coma to the previous entry,
> - there was a typo in the added manpage (AVAILAB*L*E STORES)

I have pushed these changes to the launchpad branch.

> - there is still a manpage missing for applet-coherence

my bad missed that one hmmm. Going to get started on this in the am,
along with rebuilding/testing the package with the above changes. I
will post back when the manpage and tests are complete.
>
> I'm still working on this, but in very low prio background mode... but
> would be interested in some feedback from you since I don't use
> coherence nor the associated software...

That's fine, an associate program Ampache-3.5 is due out in about a
month or so. Python-coherence makes use of Ampache's XML-API, and there
will be some significant changes to the API with the 3.5 release, so
this update of python-coherence is needed so coherence and ampache play
nice. :) My intent, is to have both updated packages hit the archives
at around the same time, if possible.
>

Cheers
Charlie

Arnaud Quette (aquette) wrote :
Download full text (4.3 KiB)

Hey Charlie,

2009/3/17 charliej <email address hidden>

> On Mon, 2009-03-16 at 15:50 +0100, Arnaud Quette wrote:
> >
> > 2009/3/14 charliej
> > Arnaud,
> >
> > Hey Charlie,
> >
> >
> >
> > Thank you for looking at this, IMHO this update will benefit
> > Ampache and
> > Rythmbox users. If there is any other way I can help out feel
> > free to
> > contact me.
> >
> > sure, become a Debian Maintainer (or a DD) and adopt coherence,
> > please ;-)
>
> Working on it! Actually I am thinking of going through the NM process.

eh, nice ^_^

> Having a problem of finding a Debian Member that lives close to me to
> get my key signed, but anyway that's a different can of worms.
>

well, it's an important point since it officially confirms your digital
identity for Debian!
you really have to put a high prio on this point and attend to an event or
manage somehow to get a DD signing your key.

I would be willing to take over python-coherence, as long as I could
> call on you from time to time with questions/sponsorship of package
> updates.

sure, I'm very opened to "training the new generation". it's part of a DD
role ;-)

> I am the current maintainer of Ampache and Ampache-themes.
> >
> >
> > more seriously, have you tested your patch?
>
> yes, but I now understand why the install and test worked but the actual
> patch did not work.
>

;-) you should never let false fixed go out. prefer to call to somebody or
RFH if needed.
using pdebuild is helpful to get the latest lintian.
also see my below cdbs remark.

> I've noticed several things there:
> > - "DEB_INSTALL_ARGS += -XMochiKit" should be "DEB_DH_INSTALL_ARGS +=
> > -XMochiKit"
>
> I am still unraveling the mysteries of CDBS and python packages. But
> after working on this package it makes more sense, but still have a lot
> to learn.
>

an hint with cdbs is to directly look at .mk files. these are fairly well
commented, and I found this more useful than the doc. the online examples
can be helpful too.
for debhelpers (ie dh_install), it's /usr/share/cdbs/1/rules/debhelper.mk

be sure that we always have to learn. life wouldn't be fun otherwise ;-)

> but will not be helpfull since the setup.py install the files directly
> > to python-coherence.
> > for the above to work, we should first go through debian/tmp using
> > DEB_DESTDIR
>

I've missed to mention the quick solution:
binary-predeb/python-coherence::
        /bin/rm -f
debian/python-coherence/usr/share/pyshared/coherence/web/static/MochiKit.js

note that both solutions are fine here since the fix is limited to 1 file.
so the move to tmp not really needed.
if in the future there is a need to split and spawn new binary pkg, then you
should go that way and use the .install files...

> - the added Build-dep doesn't add the coma to the previous entry,
> > - there was a typo in the added manpage (AVAILAB*L*E STORES)
>
> I have pushed these changes to the launchpad branch.
>

I've also noticed a strange .TH format (soft release instead of last edit
date), but have not read it thoroughly .

> - there is still a manpage missing for applet-coherence
>
> my bad missed that one hmmm. Going to get start...

Read more...

Charlie_Smotherman (cjsmo) wrote :
Charlie_Smotherman (cjsmo) wrote :
Charlie_Smotherman (cjsmo) wrote :

Made changes per Arnaud's suggestions, attached new debdiff, pbuilder log, and install log

Charlie_Smotherman (cjsmo) wrote :

Arnaud,

I made the changes to the rules file that you suggested. IMHO worked
much better.

Both manpages have been created. I had a real problem with the
manpages. I would get lintian errors on the .deb but not on the source.
I tried several name combination which did not work. During the test
install I manually verified that the manpages where installed
to /usr/share/man/man1 which they where, so I included a lintian
override file.

I have pushed the changed to the launchpad branch. I also attached a
new debdiff, pbuilder log and install log.

Please have a look when you have some spare time.

Thanks
Charlie

Arnaud Quette (aquette) wrote :

2009/3/19 charliej <email address hidden>

> Arnaud,
>

Hi Charlie,

> I made the changes to the rules file that you suggested. IMHO worked
> much better.
>

sure ;-)

> Both manpages have been created. I had a real problem with the
> manpages. I would get lintian errors on the .deb but not on the source.
> I tried several name combination which did not work. During the test
> install I manually verified that the manpages where installed
> to /usr/share/man/man1 which they where, so I included a lintian
> override file.
>

* quickly looking, this must be due to the naming:
the manpages name have to match the binaries name.
so the fix here is to rename:
- python-coherence.1 to coherence.1
- python-coherence-applet.1 to applet-coherence.1 (beware of the words
ordering).

* while you're working on that, you should also modify the 3rd .TH field of
the manpage to put the last manpage modification date (ie "Thu Mar 19
2009"). It seems to be the standard here (thought I'm not a groff / man
guru!) and is more useful than sticking with a software release that is
always changing without mandatory impact on the manpage...

* lastly, you have a typo in the changelog:
+ * Added debain/python-coherence.lintian-overrides
                         ^^
or are you trying to fork a new Debian based distro ;-p

having the above, we should be fine.
Otherwise, I'll take on me to make the remaining changes and ping you for
the ubuntu sync on the Debian upload is done. alright?

cheers,
Arnaud
--
Linux / Unix Expert R&D - Eaton - http://www.eaton.com/mgeops
Network UPS Tools (NUT) Project Leader - http://www.networkupstools.org/
Debian Developer -
http://people.debian.org/~aquette/<http://people.debian.org/%7Eaquette/>
Free Software Developer - http://arnaud.quette.free.fr/

Charlie_Smotherman (cjsmo) wrote :

On Thu, 2009-03-19 at 13:03 +0100, Arnaud Quette wrote:

[snip]
>
> * quickly looking, this must be due to the naming:
> the manpages name have to match the binaries name.
> so the fix here is to rename:
> - python-coherence.1 to coherence.1
> - python-coherence-applet.1 to applet-coherence.1 (beware of the words
> ordering).
>
The above naming scheme is what I tried first. I have changed the
manpage names to what you suggest and I still get the "no-manpage"
lintian error for coherence and applet-coherence but yet the manpages
are installed to the correct location. Should I use the override file?
hmmm I wonder if this could be a possible bug in lintian?

I only get this error when running lintian on the .deb. When I run
lintian on the source package (dsc, changes) I do not get this error.

> * while you're working on that, you should also modify the 3rd .TH
> field of the manpage to put the last manpage modification date (ie
> "Thu Mar 19 2009"). It seems to be the standard here (thought I'm not
> a groff / man guru!) and is more useful than sticking with a software
> release that is always changing without mandatory impact on the
> manpage...
>
Done

> * lastly, you have a typo in the changelog:
> + * Added debain/python-coherence.lintian-overrides
> ^^
> or are you trying to fork a new Debian based distro ;-p
>
hahahahaha, no, no, not forking, just a typo :)
Done
>
> having the above, we should be fine.
> Otherwise, I'll take on me to make the remaining changes and ping you
> for the ubuntu sync on the Debian upload is done. alright?

Cool
I have pushed the changes to the launchpad branch

Thanks for all the help :)
Charlie

Arnaud Quette (aquette) wrote :

2009/3/19 charliej <email address hidden>

> On Thu, 2009-03-19 at 13:03 +0100, Arnaud Quette wrote:
>
> [snip]
> >
> > * quickly looking, this must be due to the naming:
> > the manpages name have to match the binaries name.
> > so the fix here is to rename:
> > - python-coherence.1 to coherence.1
> > - python-coherence-applet.1 to applet-coherence.1 (beware of the words
> > ordering).
> >
> The above naming scheme is what I tried first. I have changed the
> manpage names to what you suggest and I still get the "no-manpage"
> lintian error for coherence and applet-coherence but yet the manpages
> are installed to the correct location. Should I use the override file?
> hmmm I wonder if this could be a possible bug in lintian?
>
> I only get this error when running lintian on the .deb. When I run
> lintian on the source package (dsc, changes) I do not get this error.
>

have you also updated debian/python-coherence.manpages accordingly?

remember that you have 3 points:
- the manpage file name
- the manpage title (ie .TH "NAME")
- the reference in the .manpages file

ensure that the 3 are the same

> * while you're working on that, you should also modify the 3rd .TH
> > field of the manpage to put the last manpage modification date (ie
> > "Thu Mar 19 2009"). It seems to be the standard here (thought I'm not
> > a groff / man guru!) and is more useful than sticking with a software
> > release that is always changing without mandatory impact on the
> > manpage...
> >
> Done
>
> > * lastly, you have a typo in the changelog:
> > + * Added debain/python-coherence.lintian-overrides
> > ^^
> > or are you trying to fork a new Debian based distro ;-p
> >
> hahahahaha, no, no, not forking, just a typo :)
> Done

;-)

> >
> > having the above, we should be fine.
> > Otherwise, I'll take on me to make the remaining changes and ping you
> > for the ubuntu sync on the Debian upload is done. alright?
>
> Cool
> I have pushed the changes to the launchpad branch
>

ok, I'll check that hopefully this evening if the children are not as ill as
yesterday!

thanks for your work on this Charlie.
we'll possibly have a private discussion on packaging together... in the
meantime, if you have any questions or doubt, feel free to contact me. I
have currently a slot allocated to you ;-)

Arnaud

description: updated
Charlie_Smotherman (cjsmo) wrote :

Changing bug status to new, just received bug mail that python-coherence has been uploaded to debian unstable. According to the changelog the only changes that where made that are not reflected in the attached debdiff are

 - add Vcs-Browser and Vcs-Svn fields
 - debian/examples: renamed from python-coherence.examples for consistency

Subscribing MOTU-release

Changed in coherence (Ubuntu):
status: Incomplete → New
Scott Kitterman (kitterman) wrote :

The current version just needs a rebuild for Python 2.6, so I don't think that's a major reason to update.

What testing have you done with this?

Charlie_Smotherman (cjsmo) wrote :

I have tested install/upgrade/removed/purged in an up to date virtualbox install of Jaunty. I have also tested the "ampache store" with my live Ampache server using Ampache's XML API (which is buggy in the current version of python-coherence), and I have also tested to see if the Rythmbox plugin (bug #278790) also works correctly which it now does. There is no way for me to give python-coherence a complete test as there is quite a lot of hardware that python-coherence supports that I do not have/can't afford (ie wii, xbox360 etc). I only became aware of the need for this update a week or so ago when I was searching for a solution to a problem I was having with Rythmbox and found python-coherence. If I would have known about this earlier in the cycle it would have been updated then.

I was hoping to get this backported to intrepid, as this would benefit Ampache users, due to the fact that the default media player in Ubuntu (Rythmbox) will not import/play m3u playlists from external sources, and it appears that this bug will not get fixed any time soon, so IMHO this is the only other alternative, have a look at Bug #62430

Cheers
Charlie

Nathan Handler (nhandler) wrote :

ACK #2. Feature Freeze Exception granted. Subscribing ubuntu-universe-sponsors.

Changed in coherence (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed

 subscribe ubuntu-archive
 unsubscribe ubuntu-universe-sponsors

Sync request ACK'd.

--
Alessio Treglia <email address hidden>
Ubuntu MOTU Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

Steve Langasek (vorlon) wrote :

[Updating] coherence (0.5.8-1 [Ubuntu] < 0.6.2-1 [Debian])
 * Trying to add coherence...
  - <coherence_0.6.2-1.dsc: downloading from http://ftp.debian.org/debian/>
  - <coherence_0.6.2-1.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <coherence_0.6.2.orig.tar.gz: downloading from http://ftp.debian.org/debian/>
I: coherence [universe] -> python-coherence_0.5.8-1 [universe].

Changed in coherence:
status: Confirmed → Fix Released
Changed in coherence (Debian):
importance: Unknown → Undecided
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.